Plugin Reviews

The Google+ plugin

The Google + Plugin integrates WordPress with your G+ Profile and Page - now with BuddyPress and Post Format Support!

22 reviews
Average Rating
3.8 out of 5 stars
Until all ok
By ,

I test since two week and all is ok!

Errors. Supportless. naggers.
By , for WP 4.1.1

As we have with several of their plugins, Installed the "free" version.
the plugin had problems. Got API errors and crashes. No Support. As usual with their stuff, A nag bar/screen nags you to death - and their prices, for a plugin, are ridiculous.

I strongly suspect that some of the 5 star ratings are faked, or lets say, severely biased due to financial interest. (Same people giving same short "amazing" review on ALL. So we are leaving our own on the ones we tested/used)

poor support
By , for WP 4.1.1

posted this in support section... and two other posts... one of which i worked out for myself.. no help from request for help...

my remaining problems that author is ignoring isI am still trying to understand why the shortcodes do not work but I managed to add the widget onto the sidebar... ive done an import and the side bar displays some of my earlier posts...

if i add further posts to g+ it does not display any of them...

why not?????

and is anyone checking this support forum ... i need a reply please to shortcodes....

works as stated
By ,

Really easy to use and ot works as described

By , for WP 4.1

Plugin buggy. Throwing API integration errors for me.

What were you thinking?
By , for WP 4.0.1

How can you possibly screw this up so badly?

What was your actual goals in writing this plugin?

Awesome - but needs different post statuses
By , for WP 4.0

I love this plugin. The only thing I want with it is different post statuses, so that imported posts from G+ won't be published until I decide they should be.

Broke the site
By , for WP 4.0

Deleted this plugin because the developers managed to make it crash the site with a "Fatal error: Class 'apiAuth' not found in /home/******/public_html/wp-content/plugins/google/lib/external/google/auth/apiAuthNone.php on line 24"

Test your plugins first people.

Broke Site
By , for WP 4.0

Deleted this plugin on Nov 2 2014 because it broke the site on an update. The end.

Works well!
By ,

Thanks for this plugin.

You must log in to submit a review. You can also log in or register using the form near the top of this page.